// MyLiftClientDlg.h : header file
//

#if !defined(AFX_MYLIFTCLIENTDLG_H__5571D3E6_814D_4353_B4BE_8C6D8DBDAC0F__INCLUDED_)
#define AFX_MYLIFTCLIENTDLG_H__5571D3E6_814D_4353_B4BE_8C6D8DBDAC0F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "blockingsocket.h"

#define WS_EVENT_MSG WM_USER + 10

/////////////////////////////////////////////////////////////////////////////
// CMyLiftClientDlg dialog

class CMyLiftClientDlg : public CDialog
{
// Construction
public:
	void Think();
	CMyLiftClientDlg(CWnd* pParent = NULL);	// standard constructor
	~CMyLiftClientDlg();

// Dialog Data
	//{{AFX_DATA(CMyLiftClientDlg)
	enum { IDD = IDD_MYLIFTCLIENT_DIALOG };
	CListBox	m_boxCommands;
	CListBox	m_boxEvents;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyLiftClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	void ProcessEvent(CString line);
	void WaitForEvent(CString name);


// Implementation
protected:
	HICON m_hIcon;
	int m_nShafts, m_nLevels;
	CBlockingSocket m_socket;
	CUIntArray* m_prikazyZVytahu;
	int* m_curLevel;
	int* m_curSmery;
	int m_nLevelHeight;
	int m_nAccel;
	bool m_bOpenStatus;

	CUIntArray m_arrOpenWaits; // vytahy, ktere cekaji na otevreni

	static UINT DoorOpener(void*);

	// Generated message map functions
	//{{AFX_MSG(CMyLiftClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg LRESULT OnNetEvent(WPARAM,LPARAM);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYLIFTCLIENTDLG_H__5571D3E6_814D_4353_B4BE_8C6D8DBDAC0F__INCLUDED_)
